#
# Conditional build:
%bcond_with	tests	# perform "make test" (uses network!)
#
%include	/usr/lib/rpm/macros.perl
Summary:	Net::Gadu Perl module - interface for libgadu.so library
Summary(pl.UTF-8):	Moduł Perla Net::Gadu - interfejs do biblioteki libgadu.so
Name:		perl-Net-Gadu
Version:	1.9
Release:	8
License:	LGPL
Group:		Development/Languages/Perl
Source0:	http://www.hakore.com/perl/Net-Gadu-%{version}.tar.gz
# Source0-md5:	22e934da730031dac40fc57b0195319c
URL:		http://www.hakore.com/perl/perlgadu.html
BuildRequires:	libgadu-devel >= 1:20020807
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::Gadu module is intended to make it easy to add Gadu-Gadu
communication support to your scripts. It uses libgadu library (a part
of Ekg project - http://dev.null.pl/ekg/).

%description -l pl.UTF-8
Moduł Net::Gadu pozwala na zastosowanie w swoich skryptach komunikacji
bazującej na protokole Gadu-Gadu. Wykorzystuje bibliotekę libgadu.so,
ktora jest częścią projektu Ekg (http://dev.null.pl/ekg/).

%prep
%setup -q -n Net-Gadu-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install ex/ex1 example.pl

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README example.pl contrib
%dir %{perl_vendorarch}/auto/Net/Gadu
%{perl_vendorarch}/auto/Net/Gadu/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/Net/Gadu/Gadu.so
%{perl_vendorarch}/Net/Gadu.pm
%{_mandir}/man3/Net::Gadu.3pm*
%changelog
* Sun Oct 30 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Net-Gadu.git;a=log;h=master

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> ab2449d
- rebuild with perl 5.24.0
- release 8 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 0b9c50d
- release 7 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> f5a0e1d
- x32 rebuild
- release 6 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> a6ffbd1
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> d3fba5a
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> bba8aa3
- rebuild for perl 5.20
- release 4 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 25c553e
- rebuild with perl 5.18.0
- release 3 (by relup.sh)

* Fri Jan 28 2011 sparky <sparky@pld-linux.org> 2631a40
- BR: rpm-perlprov

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> d239fbd
- release 2

* Thu Aug 27 2009 amateja <amateja@pld-linux.org> 9546e9f
- updated to 1.9

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 0a43297
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 498acc5
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> bd22146
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 6a99209
- converted to UTF-8

* Sun May 21 2006 Marcin Krzyżanowski <marcin.krzyzanowski@hakore.com> 095b997
- URL update to hakore.com

* Sun Jun 05 2005 petec <petec@pld-linux.org> 54a7958
- up to 1.5

* Tue Mar 01 2005 Marcin Krzyżanowski <marcin.krzyzanowski@hakore.com> bc3c33b
- up to 1.0

* Thu May 06 2004 ankry <ankry@pld-linux.org> 954493e
- fixed perl-devel BR

* Thu May 06 2004 ankry <ankry@pld-linux.org> 19f5576
- license fixed:
15:26 <@krzak> ankry_: oj... oj.... mowie ze jest GPL, musislabym robic release
               jakies a nie pamietam hasla na cpan

* Mon Apr 26 2004 ankry <ankry@pld-linux.org> f9bb255
- added tests, license fixes

